Subject: Re: bug#77803: [PATCH v2] Don't indent variable names to their declarator expression (bug#77803)

From: Dmitry Gutov <[email-masked]>
Date: Sat, 19 Apr 2025 16:31:33 +0300

On 19/04/2025 08:46, Konstantin Kharlamov wrote:
> On Sat, 2025-04-19 at 04:02 +0300, Dmitry Gutov wrote:
>> On 19/04/2025 02:43, Yuan Fu wrote:
>>> Thanks! I personally like the current indentation,
>> js2-mode has been doing it this way for a number of years (triggered
>> by
>> user requests), js-mode followed suit later.
> That's unusual, do you have a link to the discussion? Such indentation
> doesn't make sense to me (because when you have "const" and "var"
> declarations near, they won't be aligned); and when I test it in VSCode
> which I think most Web devs are using, it indents both to 3 spaces.

https://github.com/mooz/js2-mode/issues/1 is when it was added, then see 
other reports in the tracker about refining it and adding support for 
different cases.